from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XComponent

@runtime_checkable
class XMenuProxy(XComponent, Protocol):
    def executeMenuItem(self, ID: int) -> None: ...
    def addMenuProxyListener(self, xListener: XMenuProxyListener) -> None: ...
    def removeMenuProxyListener(self, xListener: XMenuProxyListener) -> None: ...
